/* Copyright (c) Eclipseina GmbH 2018
 * ALL RIGHTS RESERVED
 *
 * Redistribution or use of this source file or it's binary form,
 * with or without modification
 * is not permitted without the written permission of Eclipseina GmbH.
 *
 * Filename: ec32demodatatypes.h
 * Description:
 * Created on: 11.06.2018
 *
 * License key:358o167me81da0721nie5775s09pi2753lc77e93
 */




#ifndef EC32DEMODATATYPES_H_
#define EC32DEMODATATYPES_H_


typedef long long 			s64;
typedef unsigned long long 	u64;
typedef long 			s32;
typedef unsigned long 	u32;
typedef short 			s16;
typedef unsigned short  u16;
typedef signed char  	s8;
typedef unsigned char  	u8;

typedef enum  {ECLIB_FALSE, ECLIB_TRUE} ECLIB_Bool;



#define ECLIB_FIX32_0SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 0
#define ECLIB_FIX32_1SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 1
#define ECLIB_FIX32_2SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 2
#define ECLIB_FIX32_3SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 3
#define ECLIB_FIX32_4SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 4
#define ECLIB_FIX32_5SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 5
#define ECLIB_FIX32_6SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 6
#define ECLIB_FIX32_7SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 7
#define ECLIB_FIX32_8SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 8
#define ECLIB_FIX32_9SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 9
#define ECLIB_FIX32_10SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 10
#define ECLIB_FIX32_11SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 11
#define ECLIB_FIX32_12SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 12
#define ECLIB_FIX32_13SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 13
#define ECLIB_FIX32_14SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 14
#define ECLIB_FIX32_15SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 15
#define ECLIB_FIX32_16SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 16
#define ECLIB_FIX32_17SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 17
#define ECLIB_FIX32_18SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 18
#define ECLIB_FIX32_19SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 19
#define ECLIB_FIX32_20SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 20
#define ECLIB_FIX32_21SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 21
#define ECLIB_FIX32_22SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 22
#define ECLIB_FIX32_23SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 23
#define ECLIB_FIX32_24SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 24
#define ECLIB_FIX32_25SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 25
#define ECLIB_FIX32_26SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 26
#define ECLIB_FIX32_27SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 27
#define ECLIB_FIX32_28SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 28
#define ECLIB_FIX32_29SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 29
#define ECLIB_FIX32_30SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 30
#define ECLIB_FIX32_31SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 31
#define ECLIB_FIX32_32SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 32
#define ECLIB_FIX32_33SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 33
#define ECLIB_FIX32_34SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 34
#define ECLIB_FIX32_35SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 35
#define ECLIB_FIX32_36SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 36
#define ECLIB_FIX32_37SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 37
#define ECLIB_FIX32_38SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 38
#define ECLIB_FIX32_39SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 39
#define ECLIB_FIX32_40SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 40
#define ECLIB_FIX32_41SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 41
#define ECLIB_FIX32_42SR(par) \
	s32 (par); \
	const s8 (par##_sf) = 42


#define ECLIB_FIX32_0SL(par) \
	s32 (par); \
	const s8 (par##_sf) = 0
#define ECLIB_FIX32_1SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -1
#define ECLIB_FIX32_2SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -2
#define ECLIB_FIX32_3SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -3
#define ECLIB_FIX32_4SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -4
#define ECLIB_FIX32_5SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -5
#define ECLIB_FIX32_6SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -6
#define ECLIB_FIX32_7SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -7
#define ECLIB_FIX32_8SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -8
#define ECLIB_FIX32_9SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -9
#define ECLIB_FIX32_10SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -10
#define ECLIB_FIX32_11SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -11
#define ECLIB_FIX32_12SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -12
#define ECLIB_FIX32_13SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -13
#define ECLIB_FIX32_14SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -14
#define ECLIB_FIX32_15SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -15
#define ECLIB_FIX32_16SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -16
#define ECLIB_FIX32_17SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -17
#define ECLIB_FIX32_18SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -18
#define ECLIB_FIX32_19SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -19
#define ECLIB_FIX32_20SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -20
#define ECLIB_FIX32_21SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -21
#define ECLIB_FIX32_22SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -22
#define ECLIB_FIX32_23SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -23
#define ECLIB_FIX32_24SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -24
#define ECLIB_FIX32_25SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -25
#define ECLIB_FIX32_26SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -26
#define ECLIB_FIX32_27SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -27
#define ECLIB_FIX32_28SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -28
#define ECLIB_FIX32_29SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -29
#define ECLIB_FIX32_30SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -30
#define ECLIB_FIX32_31SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -31
#define ECLIB_FIX32_32SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -32
#define ECLIB_FIX32_33SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -33
#define ECLIB_FIX32_34SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -34
#define ECLIB_FIX32_35SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -35
#define ECLIB_FIX32_36SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -36
#define ECLIB_FIX32_37SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -37
#define ECLIB_FIX32_38SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -38
#define ECLIB_FIX32_39SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -39
#define ECLIB_FIX32_40SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -40
#define ECLIB_FIX32_41SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -41
#define ECLIB_FIX32_42SL(par) \
	s32 (par); \
	const s8 (par##_sf) = -42





#endif /* EC32DEMODATATYPES_H_ */
